<?php
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
  #########################################
function role_to_tpadej($role){
switch ($role){
case 'обыватель' : $trole = 'обывателем';break;
case 'комиссар катани' : $trole = 'инспектором катани';break;
case 'главарь мафии' : $trole = 'главарем мафии';break;
case 'доктор' : $trole = 'доктором';break;
case 'маньяк' : $trole = 'маньяком';break;
case 'путана' : $trole = 'путаной';break;
case 'бомж' : $trole = 'бомжом';break;
case 'мафиози' : $trole = 'мафиози';break;
case 'горец' : $trole = 'горцем';break;
case 'жена комиссара' : $trole = 'женой комиссара';break;
case 'клоун' : $trole = 'клоуном';break;
default : $trole = $role; break;
}
return ($trole);
}

 function role_to_rpadej($role){
switch ($role){
case 'обыватель' : $rrole = 'обывателя';break;
case 'комиссар катани' : $rrole = 'комиссара катани';break;
case 'главарь мафии' : $rrole = 'главаря мафии';break;
case 'доктор' : $rrole = 'доктора';break;
case 'маньяк' : $rrole = 'маньяка';break;
case 'путана' : $rrole = 'путану';break;
case 'бомж' : $rrole = 'бомжа';break;
case 'мафиози' : $rrole = 'мафиози';break;
case 'горец' : $rrole = 'горца';break;
case 'жена комиссара' : $rrole = 'жены комиссара';break;
case 'клоун' : $rrole = 'клоуна';break;
default: $rrole = $role; break;
}
return($rrole);
}

function get_name_by_id($id_in_game, $rmmaf){
$ringame = 'ingame'.$rmmaf;
$req = $db->sql_query("select * from $ringame WHERE id_in_game = '".$id_in_game."'");
$ms = $db->sql_fetchrow($req);
$gamer_id = $ms["gamer_id"];
$req = $db->sql_query("select * from users WHERE id = '".$gamer_id."'");
$ms = $db->sql_fetchrow($req);
$name = $ms["user"];
unset($gamer_id);
unset($ms);
unset($req);
return($name);
}

function get_role_by_id($id_in_game, $rmmaf){
$ringame = "ingame".$rmmaf;
$req = $db->sql_query("select * from $ringame WHERE id_in_game = '".$id_in_game."'");
$ms = $db->sql_fetchrow($req);
$role = $ms["role"];
unset($ms);
unset($req);
return($role);
}

function scores($rmmaf){
$rscores = "scores".$rmmaf;
$r = $db->sql_query("select * from $rscores");
$mmes = "";
while (($a = $db->sql_fetchrow($r))!==false){
$gamer_id = $a["gamer_id"];
$score = $a["score"];
$db->sql_query("update users set mafcredits = mafcredits + creditsingame WHERE id = '".$gamer_id."'");
$re = $db->sql_query("select user from users WHERE id = '".$gamer_id."'");
$b = $db->sql_fetchrow($re);
$mmes = $mmes.$b["user"]." - <b>$score</b>, ";
}
$mmes = substr($mmes,0,strlen($mmes)-2);
return($mmes);
}

?>

